> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List Benchling Connect files

GET https://{tenant_name}.benchling.com/api/v2-alpha/benchling-connect/connection-files

List Benchling Connect files

Reference: https://docs.benchling.com/docs/api/v2-alpha/benchling-api-alpha/lab-automation/list-connect-files

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return. Defaults to 50, maximum of 100.
- `nextToken` (string, optional) — Token for pagination
- `createdAt.lt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. \< 2017-04-30.
- `createdAt.gt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.
- `createdAt.lte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created on or before the specified time. e.g. \<= 2017-04-30.
- `createdAt.gte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created on or after the specified time. e.g. >= 2017-04-30.
- `modifiedAt.lt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified before the specified time. e.g. \< 2017-04-30.
- `modifiedAt.gt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified after the specified time. e.g. > 2017-04-30.
- `modifiedAt.lte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified on or before the specified time. e.g. \<= 2017-04-30.
- `modifiedAt.gte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified on or after the specified time. e.g. >= 2017-04-30.
- `filenameIncludes` (string, optional) — Name substring of a file. Restricts results to those with names that include the provided substring.
- `connectionIds` (list of string, optional) — Comma-separated list of connection IDs. Restricts results to those created by the given connections.
- `dataType` (enum, optional) — File data type. Restricts results to those with the specified data type.
  - Allowed values: `ALLOTROPE`, `COMPENSATION`, `DATACUBE`, `FRACTIONS`, `GROUP`, `INJECTIONS`, `MEASUREMENT`, `MEASUREMENT_SEPARATE_UNIT_COLUMN`, `ORIGINAL`, `PEAKS`, `PROCESSED`, `POPULATION`, `REGION`, `REPORT_POINT`, `REPORT`, `SAMPLE`, `SAMPLE_SEPARATE_UNIT_COLUMN`, `STATISTICS`, `TIMESERIES`, `WELL`

## Response

### 200

OK

- `connectionFiles` (list of ConnectionFilesPaginatedListConnectionFilesItems, optional)
- `nextToken` (string, optional)

## Errors

### 400 Bad Request Error

Bad request

- `error` (BadRequestErrorError, optional)

## Types

### ConnectionFilesPaginatedListConnectionFilesItems

- `connectionId` (string, optional)
- `createdAt` (datetime, optional)
- `dataType` (enum, optional)
  - Allowed values: `ALLOTROPE`, `COMPENSATION`, `DATACUBE`, `FRACTIONS`, `GROUP`, `INJECTIONS`, `MEASUREMENT`, `MEASUREMENT_SEPARATE_UNIT_COLUMN`, `ORIGINAL`, `PEAKS`, `PROCESSED`, `POPULATION`, `REGION`, `REPORT_POINT`, `REPORT`, `SAMPLE`, `SAMPLE_SEPARATE_UNIT_COLUMN`, `STATISTICS`, `TIMESERIES`, `WELL`
- `downloadUrl` (string, optional) — URL to download the file. This URL is only valid for 24 hours.
- `filename` (string, optional)
- `id` (string, optional)
- `instrumentQueryId` (string, optional)
- `modifiedAt` (datetime, optional)
- `status` (enum, optional)
  - Allowed values: `NOT_UPLOADED`, `UPLOADED`, `ARCHIVED`, `ERRORED`, `FORMAT_ERROR`

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Response**

```json
{
  "connectionFiles": [
    {
      "connectionId": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "dataType": "ALLOTROPE",
      "downloadUrl": "string",
      "filename": "string",
      "id": "string",
      "instrumentQueryId": "string",
      "modifiedAt": "2024-01-15T09:30:00Z",
      "status": "NOT_UPLOADED"
    }
  ],
  "nextToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2-alpha/benchling-connect/connection-files"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2-alpha/benchling-connect/connection-files';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```